<template>
  <v-flex>
    <v-layout>
      <v-flex v-if="examen.muestras">
        <v-text-field
            :label="examen.examen_nombre"
            v-model="examen.muestras"
            disabled="true"
          ></v-text-field>
      </v-flex>
      <v-flex v-if="!examen.muestras">
         <v-select
          v-model="selected"
          :items="items"
          filled
          :label="examen.examen_nombre"
        ></v-select>
        <v-btn @click="sendValuesToServer(examen.id)">marcar</v-btn>
      </v-flex>
    </v-layout>

  </v-flex>
</template>

<script>
import axios from 'axios'
import server from '../server'
import {
    mapGetters
} from 'vuex'

export default {
  name: 'FieldExamen',
  props: ['examen'],
  data: () => ({
      stateLine: false,
      selected: '',
      items: ['1', '2', '3', '4'],
    }),
    methods:{
      sendValuesToServer(eid){
          let data = {
            id : eid,
            muestras: this.selected,
            task_id: this.$route.params.id,
            type: 1
          }

          axios.post(`${server}/api/task/domicilios/examenes/`, data, {
             headers: {
                    Authorization: this.$store.getters.getAccessToken
                }
          }).then((result) => {
            let self = this;
            self.setTaskDetail(self.$route.params.id)
          }).catch((err) => {
            console.log(err)
          });
      },

      setTaskDetail(id) {
            this.$store.dispatch('setTaskDomiciliosDetail', id)
        },
    },
}
</script>

<style>

</style>
